curl --request GET \
--url https://api.hubapi.com/communication-preferences/v4/statuses/{subscriberIdString}/unsubscribe-all \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"wideStatusType": "BUSINESS_UNIT_WIDE",
"businessUnitId": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}コンタクトが全てのEメールの配信を停止したかどうかを確認します。コンタクトが全てのコミュニケーションからオプトアウトしていない場合、応答の「結果」列は空になります。
curl --request GET \
--url https://api.hubapi.com/communication-preferences/v4/statuses/{subscriberIdString}/unsubscribe-all \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"wideStatusType": "BUSINESS_UNIT_WIDE",
"businessUnitId": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
コンタクトのEメールアドレス。
配信カテゴリーのチャネルタイプ。現在のところ、サポートされているチャネルタイプは「EMAIL」のみです。
EMAIL 応答に更新された配信登録ステータスの詳細を含めるには「true」に設定します。このパラメーターを含めていないと、空の応答になります。
successful operation
処理が完了した日時。
処理の結果が格納される配列。
Show child attributes
処理が開始された日時。
処理の現在のステータス(PENDING、PROCESSING、CANCELED、COMPLETEを取り得る)。
CANCELED, COMPLETE, PENDING, PROCESSING 処理中に発生した問題について詳述するエラーオブジェクトの配列。
Show child attributes
関連リンクを含むオブジェクト(各キーはリンク名で、各値はURLです)。
Show child attributes
処理中に発生したエラーの数。
リクエストが行われた日時。